petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSetApplicationContextDestroy

Sets a user function that will be called to destroy the application context when the DM is destroyed

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMSetApplicationContextDestroy(DM dm,PetscErrorCode (*destroy)(void**))

Not Collective

### Input Parameters

| dm | - the DM object
| destroy | - the destroy function

### See Also

DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix(), DMGetApplicationContext()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/snes/examples/tutorials/ex35.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages